SOLVED ModSecurity cPanel False Info on version 92.0.4?

[email protected]

Well-Known Member
Aug 3, 2016
63
5
58
Everywhere
cPanel Access Level
Root Administrator
Hello,
I have version 92.0.4 and I see something strange.

When I go to an account in cPanel and then SECURITY> ModSecurity says:

Info: ModSecurity™ is not enabled on your server.
But I'm sure the modsecurity is enabled on the server. I test it and blocks successful rules in domains, server etc. It's something wrong with this info inside cPanel for users or what?

I have Litespeed WebServer 5.4.11 (if that matters) with COMODO ModSecurity Litespeed Rules.

Also in WHM 90.0.18 with the same configurations rules for modsecurity Litespeed webserver etc the info in cPanel accounts is ok!
 
Last edited by a moderator:

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
7,492
1,008
313
cPanel Access Level
Root Administrator
Hey there! I wasn't able to reproduce this on a 92.0.4 system when I checked just now. I see the usual "ModSecurity is enabled for all of your domains" message when I go to cPanel >> Security >> ModSecurity.

When you access that page, do you see any odd errors inside the cPanel log at /usr/local/cpanel/logs/error_log? If something wasn't working properly in the interface, I would expect it to be logged there.
 

[email protected]

Well-Known Member
Aug 3, 2016
63
5
58
Everywhere
cPanel Access Level
Root Administrator
Hello,

After I upgrade to version 92.0.5 the problem resolved! Now I can see properly the info and says ModSecurity is Enabled etc.. as should be. I see this changelog of 92.0.5


Change Log for 92.0.5
Entry: 2020-12-09, 06:00 (UTC)

Fixed case CPANEL-34732: Update wording of SSL-ready emails for DDNS.
Fixed case CPANEL-34765: Remove additional authentication request when creating a ticket.
Fixed case CPANEL-34901: Fix tailwatchd on CloudLInux 6 servers with custom Python 2.7.
Fixed case CPANEL-34938: Speed up mod security installed check.
Fixed case CPANEL-34981: Only run one build_global_cache at a time.
Fixed case CPANEL-35005: Add backwards compatibility to the modsec2 installed check.
Fixed case CPANEL-35025: Fix unsuspendacct’s removal of service proxying.
Fixed case CPANEL-35056: Allow domainless resellers to login to WHM.
Implemented case CPANEL-35027: Update the End User License Agreement to version 11-16-2020.

The 34938 or 35005 seems correct it!